Issue 1015 - Download for Software Development Kit broken
Download for Software Development Kit broken
Status: CLOSED FIXED
Product: Infrastructure
Classification: Infrastructure
Component: Documentation
current
PC Windows 2000
: P2 trivial (vote)
: ---
Assigned To: lsuarezpotts
issues@www
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-07 18:07 UTC by issues@www
Modified: 2003-12-06 14:52 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description issues@www 2001-06-07 18:07:53 UTC
When trying to download the software development kit 1.0 i get a page with 
standard OpenOffice.org menus on the right and top and blank otherwise.

I need to download the kit.

Thank you!
Comment 1 Unknown 2001-06-11 06:04:51 UTC
As this relates to the top level website, 
reassigning to louis 
for ownership 
(to coordinate technical support as required toward resolution). 

Please Accept Issue 
and follow-up as required. 


Comment 2 lsuarezpotts 2001-06-11 06:08:25 UTC
accepted; will coordinate with project owner to resolve issue.
Comment 3 Unknown 2001-06-11 06:12:52 UTC
Please advise us of the specific URL to which you are referring, 
as I do not know what software development kit 1.0 you are trying to download. 

As this relates to the top level website, 
reassigning to louis 
for ownership 
(to coordinate technical support as required toward resolution). 

Please Accept Issue 
and follow-up as required. 
Comment 4 lsuarezpotts 2001-06-11 06:14:03 UTC
btw, this issue has been already worked on,and is but another artifact of 

the vhosting issue (930). The urls in question: 

http://www.openoffice.org/project/api/downloads.html vs. 

http://api.openoffice.org/5.2/downloads.html. The latter works fine. A 

possible solution suggested on Friday evening was that we might also 

just route the former to the latter; but this is an inadequate solution. I'll 

raise it with Jeff Love and apps to see what the situation is with this and 

with 930.

-louis
Comment 5 Unknown 2001-06-11 06:16:08 UTC
Understood. 

BTW ... 
I regret my previous duplicate commit. 
Comment 6 lsuarezpotts 2001-06-12 07:56:26 UTC
I'm downgrading this to a P2, which is still pretty urgent. I was unable to resolve it 
today due to a lengthy meeting, but will meet with ops and others tomorrow. Possibly, 
this issue will be resolved with scast implementation, but would rather eliminate it 
before then. 
-louis
Comment 7 lsuarezpotts 2001-06-13 03:44:07 UTC
Kat:
Essentially, there seems to be an issue with vhosting. In some situations, 
the correct page is served up when, for instance, 
http://www.openoffice.org/project/page.html is used; but in other cases, 
we have to use http://project.openoffice.org/page.html to get results. I'm 
tasked with resolving this, and wonder if you can help out. 
Comment 8 bill.roth 2001-06-14 05:24:31 UTC
When will this be fixed?
Comment 9 lsuarezpotts 2001-06-14 06:57:06 UTC
Short answer to BR's question: 6/15. My understanding is that this bug will 
disappear with the advent of SourceCast, which as a different architecture. 
Until then, we can urge people to use the URL that does work, unless a 
simple fix is easily available, such as correcting a broken link. We could 
ask the project owner toswitch from relative to absolute urls. I will find out 
by Friday 6/15 what the def. situation/solution is.
Comment 10 lsuarezpotts 2001-06-19 22:16:24 UTC
Jeff
can we strike this for now? say, put a "remind" on it? My undertstanding is 
that SC eliminates these issues with vhosting.
-louis
Comment 11 lsuarezpotts 2001-06-26 23:42:58 UTC
Our understanding is that with SC this problem vanishes. for that reason, I am resolving the issue to "later." If it crops up again, we'll reopen.
louis
Comment 12 stx123 2001-07-25 21:30:20 UTC
Solved with SC?
Comment 13 lsuarezpotts 2001-07-27 02:01:07 UTC
eventually, it will be fixed; but for now, it seems that the api project at least 
has lots of other issues with download links. this requires CollabNet qa 
attention.
louis
Comment 14 lsuarezpotts 2001-07-28 18:52:23 UTC
new problems crept in while resolving this. To resolove it--once and for 
all--I've filed Collabnet internal issues and assigned them to qa to check 
the links on this and other pages. With SC, tho, this should not occur. 
Areas that need addressing: conformity of relative link writing. Submitted 
the style guide to Jeff Love for final review (it's been reviewed by others) 
and will send it to project leads.
-louis
Comment 15 lsuarezpotts 2001-08-06 20:56:57 UTC
I was unsure exactly *which* kit was to be downloaded, so spent an enjoyable few 
minutes downloading a slew of them, all successfully. this issue and its brethren 
should be closed.
If this sort crops up again, it's a link problem, as far as I know. that said, one of the 
reasons this works now is because "http://www.openoffice.org/project/api/
downloads.html" is no longer a vaild link. All projects must be entered as 
"projectname.openoffice.org/" I  believe.
louis
Comment 16 michael.bemmer 2003-03-16 20:25:05 UTC
As agreed with Louis, we can close all the resolved fixed issues he owns.
Comment 17 michael.bemmer 2003-03-16 20:31:27 UTC
As agreed with Louis, we can close all the resolved fixed issues he owns.